/*
 * Part of Xlab Interface
 *
 * Created: 2018-10-14
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef GLOBALOPTIONS_H
#define GLOBALOPTIONS_H

#include "options.h"
#include <QString>
#include <QMetaType>


class GlobalOptions : public Options
{
public:
    GlobalOptions();

    QString getName();
    QString getCommonName();
    QString getUiClassName();
    QIcon getIcon();

    QString version;
    QString fontFamily;
    int fontSize;
    float scaleFactorX;
    float scaleFactorY;

/*
    ABSTRACT_ITEMS_WRITE_TO_SETTINGS(
        ITEMS_WRITE_TO_SETTINGS(int,fontSize)
    )

    ABSTRACT_ITEMS_READ_FROM_SETTINGS(
        ITEMS_READ_FROM_SETTINGS(int,fontSize)
    )
*/

};

Q_DECLARE_METATYPE(GlobalOptions*)

#endif // GLOBALOPTIONS_H
