/*
 * Part of Xlab Interface
 *
 * Created: 2017-10-19
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#include "common.h"

#include <QTextStream>


QString compilationTime()
{
    QString compilationTime = QString("%1%2")
    .arg(QLocale(QLocale::C).toDate(QString(__DATE__).simplified(), QLatin1String("MMM d yyyy")).toString("yyyyMMdd").right(6))
    .arg(QString("%1%2%3%4").arg(__TIME__[0])
    .arg(__TIME__[1])
    .arg(__TIME__[3])
    .arg(__TIME__[4]));
    return compilationTime;
}

