/*
 * Part of ColorButton widget
 *
 * Created: 2018-06-02
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#ifndef COLORBUTTON_H
#define COLORBUTTON_H

#include <QPushButton>


class ColorButton : public QPushButton
{
    Q_OBJECT

public:
    explicit ColorButton(QWidget *parent = nullptr);
    QColor currentColor();
    void setCurrentColor(QColor color);

public slots:

protected:
    virtual void paintEvent(QPaintEvent *);

private:
    const int BORDER_SIZE = 6;
    QColor iconColor;
};

#endif // COLORBUTTON_H
