#ifndef LIBUSBDEVICEINFO_H
#define LIBUSBDEVICEINFO_H

#define ZERO_POS 128

enum  USB_ENDPOINT_DIRECTION
{
    USB_ENDPOINT_IN = 0x81,
    USB_ENDPOINT_OUT = 0x01
};

enum
{
    VENDOR_ID = 0x1D50,
    PRODUCT_ID = 0x60EB,
    INTERFACE_NUMBER = 0,
    CLASS_ID = LIBUSB_HOTPLUG_MATCH_ANY
};

enum BUFFER_SIZE
{
    LEN_BULK_IN_BUFFER = 16384,
};


#endif // LIBUSBDEVICEINFO_H
