/*
 * Part of Xlab Interface
 *
 * Created: 2018-06-03
 * Qt Creator 4.4.1 Based on Qt 5.9.2
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */

#include "scopeoptions.h"

ScopeOptions::ScopeOptions()
{
    gridStyle = 1;
    logicLabelPosition = 0;
    theme = 0;
}

QString ScopeOptions::getName()
{
    return "Oscilloscope";
}

QString ScopeOptions::getCommonName()
{
    return "Oscilloscope";
}

QString ScopeOptions::getUiClassName()
{
    return "ScopeSettings";
}

QIcon ScopeOptions::getIcon()
{
    return QIcon(QPixmap(":/icons/item_oscilloscope.png"));
}

